Imports System.Windows.Forms
Imports System.Drawing
Imports System.Drawing.Imaging
Imports System.Runtime.InteropServices


<ClassInterface(ClassInterfaceType.AutoDual)> _
Public Class ImageSaver
    Public Enum saverImageFormats
        bmp
        gif
        jpg
    End Enum

    Public Sub SaveImage(ByVal hbm As IntPtr, ByVal file_name As String, ByVal image_format As saverImageFormats)
        Dim bm As Bitmap = Bitmap.FromHbitmap(hbm)
        Select Case image_format
            Case saverImageFormats.bmp
                bm.Save(file_name, ImageFormat.Bmp)
            Case saverImageFormats.gif
                bm.Save(file_name, ImageFormat.Gif)
            Case saverImageFormats.jpg
                bm.Save(file_name, ImageFormat.Jpeg)
        End Select
    End Sub
End Class
